Subject: I-D Action:draft-benjamin-extendedcallbackinfo-00.txt

From: [email-masked]
Date: Thu, 24 Sep 2009 01:30:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : AFS Callback Extensions draft-benjamin-extendedcallbackinfo-00
	Author(s)       : M. Benjamin
	Filename        : draft-benjamin-extendedcallbackinfo-00.txt
	Pages           : 1
	Date            : 2009-09-23

AFS cache-control strategy is callback (invalidate) based. The 
AFS callback design allows a client to know when an object it has 
cached is no longer consistent, but the callback notification 
message itself provides no specific information about the 
triggering event. This is a protocol inefficiency, as in several 
scenarios it results in unnecessary round-trips to file servers 
to verify file status information, file access information, or to 
fetch file data which has not changed. We propose an extension of 
the callback mechanism to provide information about the event(s) 
triggering a callback, in the payload of the callback 
notification message itself. The proposed mechanism eliminates 
most or all unnecessary round-trips imposed by the current 
callback mechanism, and simultaneously allows AFS implementations 
to (efficiently) provide correct semantics in several scenarios 
involving multiple writers (ie, where AFS currently provides 
incorrect semantics).Editorial Note

To provide feedback on this Internet-Draft, join the afs3-standardisation
mailing
list ([email-masked]).

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-benjamin-extendedcallbackinfo-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.